PDA

Visualizza la versione completa : apt-get libpng


morfeus
20-11-2004, 18:54
ciao, ho installato oggi questa ubuntu di cui ho sentito dire un gran bene. È la prima volta che ho a che fare con una distro basata su debian, finora ho sempre usato slack...
vado a installare mplayer e mi dà un errore nel configure perché non trova il png support.. scorro velocemente il man e provo a dargli:



apt-get install libpng libpng.dev

Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
E: Impossibile trovare libpng

sbaglio solo il nome del pacchetto? :fagiano:

andy caps
20-11-2004, 19:01
probabilmente si chiamera libpng-dev

dai un apt-cache search png per trovare i nomi esatti

morfeus
20-11-2004, 19:26
grazie!
scusa se ne approfitto nuovamente visto che ci sei..
passato questo scoglio mi si pianta su:


Error: X11 support required for GUI compilation

ora, se gli do una cosa tipo: ./configure --enable-gui libdir=/usr/X11R6

può andare?

ho sentito dire che ubuntu usa xorg (mai avuto niente a che fare) è questa la causa?

scusa ma sono un po' a secco di queste cose, anche qualche link può andare bene

Ikitt
20-11-2004, 19:43
Originariamente inviato da Morfeus
scusa se ne approfitto nuovamente visto che ci sei..
passato questo scoglio mi si pianta su:


Error: X11 support required for GUI compilation

ora, se gli do una cosa tipo: ./configure --enable-gui libdir=/usr/X11R6

Beh, direi prima di verificare che i pacchetti di sviluppo di X siano installati; se non e` cosi`, puoi rimediare con

apt-get install xlibs-dev

andy caps
20-11-2004, 20:13
io sinceramente metto questa riga in /etc/apt/sources.list

deb ftp://ftp.nerim.net/debian-marillat/ unstable main

poi lo installo con apt-get install mplayer-k7

ci sono varie versioni k7 686 dipende dal processore

morfeus
21-11-2004, 16:18
ok, grazie a tutti e due
alla fine ho messo un po' di file nella sources.list e ho risolto
però non vorrei abituarmi troppo bene (o male) con apt-get.. per installare da sorgenti mi dà ancora qualche errore

però è carina questa ubuntu :stordita:

andy caps
22-11-2004, 13:36
per installare i sorgenti debian è una delle migliori
basta installargli le librerie che servono

Loading